Loading...
Searching...
No Matches
Magick::DrawableArc Class Reference
Inheritance diagram for Magick::DrawableArc:

## Public Member Functions

| DrawableArc (double startX_, double startY_, double endX_, double endY_, double startDegrees_, double endDegrees_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | startX (double startX_)
double | startX (void) const
void | startY (double startY_)
double | startY (void) const
void | endX (double endX_)
double | endX (void) const
void | endY (double endY_)
double | endY (void) const
void | startDegrees (double startDegrees_)
double | startDegrees (void) const
void | endDegrees (double endDegrees_)
double | endDegrees (void) const

## Private Attributes

double | _startX
double | _startY
double | _endX
double | _endY
double | _startDegrees
double | _endDegrees

## Detailed Description

Definition at line 360 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableArc()

Magick::DrawableArc::DrawableArc | ( | double | startX_,
|  | double | startY_,
|  | double | endX_,
|  | double | endY_,
|  | double | startDegrees_,
|  | double | endDegrees_
| ) |  |

inline

Definition at line 363 of file Drawable.h.

: _startX(startX_),
_startY(startY_),
_endX(endX_),
_endY(endY_),
_startDegrees(startDegrees_),
_endDegrees(endDegrees_)
{ }

## ~DrawableArc()

Magick::DrawableArc::~DrawableArc | ( | void |  | ) |

Definition at line 222 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableArc::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 229 of file Drawable.cpp.

{
return new DrawableArc(*this);
}

## endDegrees() [1/2]

void Magick::DrawableArc::endDegrees | ( | double | endDegrees_ | ) |

inline

Definition at line 427 of file Drawable.h.

{
_endDegrees = endDegrees_;
}

## endDegrees() [2/2]

double Magick::DrawableArc::endDegrees | ( | void |  | ) | const

inline

Definition at line 431 of file Drawable.h.

{
return _endDegrees;
}

## endX() [1/2]

void Magick::DrawableArc::endX | ( | double | endX_ | ) |

inline

Definition at line 400 of file Drawable.h.

{
_endX = endX_;
}

## endX() [2/2]

double Magick::DrawableArc::endX | ( | void |  | ) | const

inline

Definition at line 404 of file Drawable.h.

{
return _endX;
}

## endY() [1/2]

void Magick::DrawableArc::endY | ( | double | endY_ | ) |

inline

Definition at line 409 of file Drawable.h.

{
_endY = endY_;
}

## endY() [2/2]

double Magick::DrawableArc::endY | ( | void |  | ) | const

inline

Definition at line 413 of file Drawable.h.

{
return _endY;
}

## operator()()

void Magick::DrawableArc::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 225 of file Drawable.cpp.

{
DrawArc( context_, _startX, _startY, _endX, _endY, _startDegrees, _endDegrees );
}

## startDegrees() [1/2]

void Magick::DrawableArc::startDegrees | ( | double | startDegrees_ | ) |

inline

Definition at line 418 of file Drawable.h.

{
_startDegrees = startDegrees_;
}

## startDegrees() [2/2]

double Magick::DrawableArc::startDegrees | ( | void |  | ) | const

inline

Definition at line 422 of file Drawable.h.

{
return _startDegrees;
}

## startX() [1/2]

void Magick::DrawableArc::startX | ( | double | startX_ | ) |

inline

Definition at line 382 of file Drawable.h.

{
_startX = startX_;
}

## startX() [2/2]

double Magick::DrawableArc::startX | ( | void |  | ) | const

inline

Definition at line 386 of file Drawable.h.

{
return _startX;
}

## startY() [1/2]

void Magick::DrawableArc::startY | ( | double | startY_ | ) |

inline

Definition at line 391 of file Drawable.h.

{
_startY = startY_;
}

## startY() [2/2]

double Magick::DrawableArc::startY | ( | void |  | ) | const

inline

Definition at line 395 of file Drawable.h.

{
return _startY;
}

## Field Documentation

## _endDegrees

double Magick::DrawableArc::_endDegrees

private

Definition at line 442 of file Drawable.h.

## _endX

double Magick::DrawableArc::_endX

private

Definition at line 439 of file Drawable.h.

## _endY

double Magick::DrawableArc::_endY

private

Definition at line 440 of file Drawable.h.

## _startDegrees

double Magick::DrawableArc::_startDegrees

private

Definition at line 441 of file Drawable.h.

## _startX

double Magick::DrawableArc::_startX

private

Definition at line 437 of file Drawable.h.

## _startY

double Magick::DrawableArc::_startY

private

Definition at line 438 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp